## The following script implements bootstrap sampling of linear
## regression coefficients.

## FIXME CHANGE THIS TO YOUR CONDOR DIRECTORY
setwd("/nfs/home/B/bkinney/condor_test") ## set working directory
## FIXME CHANGE THIS TO YOUR CONDOR DIRECTORY

## What run number is this?
run <- commandArgs(TRUE)

library(Zelig)
data(macro)

## Construct a unique filename
filename <- paste( "res", run, ".txt", sep="" )

n <- nrow(macro)
m <- 100
boot.coefs <- matrix(NA, nrow=m, ncol=4)
for(i in 1:m){
  samp.ind <- sample(1:n, size=n, replace=T)
  boot.samp <- macro[samp.ind,]
  boot.coefs[i,] <- lm(unem~gdp+capmob+trade, data=boot.samp)$coef
}

## write results into a separate file 
write.table(boot.coefs, file=filename, col.names=F, row.names=F)
